Bug 1413918 - Cold Merge Fixes
Summary: Cold Merge Fixes
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: vdsm
Classification: oVirt
Component: Core
Version: 4.19.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ovirt-4.1.0-beta
: 4.19.2
Assignee: Ala Hino
QA Contact: Raz Tamir
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-17 10:24 UTC by Ala Hino
Modified: 2017-02-01 14:51 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-01 14:51:46 UTC
oVirt Team: Storage
rule-engine: ovirt-4.1+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 70613 0 ovirt-4.1 MERGED tests: Add storage_merge_test.py to make file 2017-01-17 11:56:15 UTC
oVirt gerrit 70614 0 ovirt-4.1 MERGED tests: Fix qemuimg_test.TestCommit 2017-01-17 11:56:32 UTC
oVirt gerrit 70615 0 ovirt-4.1 MERGED tests: Fix test_merge_subchain 2017-01-17 11:56:22 UTC
oVirt gerrit 70616 0 ovirt-4.1 MERGED tests: Handle errors when qemu chain isn't valid 2017-01-17 11:56:26 UTC
oVirt gerrit 70617 0 ovirt-4.1 MERGED Cold Merge: Use volume.getBackingVolumePath when calling qemuimg rebase 2017-01-17 11:56:18 UTC
oVirt gerrit 70618 0 ovirt-4.1 MERGED Cold Merge: Fix backing format when executing qemuimg rebase 2017-01-17 11:56:11 UTC

Description Ala Hino 2017-01-17 10:24:44 UTC
Description of problem:

Fix the following:
1. Add storage_merge_test.py to make file
2. Fix qemuimg_test.TestCommit
3. Fix test_merge_subchain
4. Handle errors when qemu chain isn't valid
5. Use volume.getBackingVolumePath when calling qemuimg rebase
6. Fix backing format when executing qemuimg rebase

Comment 1 Yaniv Kaul 2017-01-18 07:39:58 UTC
Please add instructions for QE what to test here, if anything.

Comment 2 Ala Hino 2017-01-18 08:35:07 UTC
This BZ lists issues that were required in order to able to fix BZ 1410428 and BZ 1408977. 
So, once BZ 1410428 and BZ 1408977 are verified, this one is verified as well.

Comment 3 Raz Tamir 2017-01-22 18:32:47 UTC
Verified both BZ 1410428 and BZ 1408977 - moving to verified


Note You need to log in before you can comment on or make changes to this bug.